跳转到主要内容
系统管理/统一认证服务器相关接口
GETSingle Sign-On Server Interfaces起始版本 4.3.0同步需要认证

查询LDAP/AD条目

查询LDAP/AD条目

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • ldapFilterString必填

    查询条件

  • ldapServerUuidString

    查询使用的LDAP服务器UUID。如果未指定会查找当前启用的LDAP服务器UUID

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

  • limitInteger

    最多返回的记录数,类似MySQL的limit

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • inventoriesList必填

    暂无描述。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/ldap/entry

/zstack/v1/ldap/entry

操作 ID

GetLdapEntry

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/ldap/entry?ldapFilter=<ldapFilter>&ldapServerUuid=<ldapServerUuid>&systemTags=<systemTags>&userTags=<userTags>&limit=1' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史